%define	name	netscape-communicator
%define ver	4.77
%define myver	477
%define rel	4ml
%define serial	2003081401
%define bldver	%{ver}.20030814
%define prefix	/usr

Summary: The Netscape Communicator Web browser.
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: X11/Applications
#Copyright: Netscape Client Software EULA/Commercial (distributable)
License: Mozilla/Commercial (distributable)
URL: http://www.netscape.com/

Source0: ftp://ftp.netscape.com.au/pub/communicator/english/%{ver}/unix/supported/linux22/complete_install/communicator-v%{myver}-us.x86-unknown-linux2.2.tar.gz
Source1: netscape-communicator.wmconfig

# Resourcess
Source10: netscape-%{ver}-ja_JP.eucJP.ad
Source11: netscape-%{ver}-zh_CN.gb.ad
Source12: netscape-%{ver}-zh_TW.big5.ad
Source13: netscape-%{ver}-ko_KR.eucKR.ad

# Help menu items
Source20: netscape-ja.cfg
Source21: netscape-ko.cfg

# Java font properties file
Source30: netscape-4.73-font.properties.ja.fixed
Source31: netscape-4.61-font.properties.zh

Serial: %{serial}
Prefix: %{prefix}
Provides: wwwclient
Obsoletes: netscape
AutoReqProv: no
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: netscape-common, libstdc++-compat, alias-japanese-fonts
ExclusiveArch: i386 i486 i586 i686

# NoSource: 0


%description
Netscape Communicator is a full-featured web browser, mail reader,
news reader, and HTML editor. This version contains strong (128bit)
encryption.p

%changelog
* Thu Aug 14 2003 Atsushi GOEBUCHI <goebuchi@miraclelinux.com>
- 4ml
- remove flash plug-in

* Sun Apr 8 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified Korean resource file.

* Wed Apr 4 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Up to version 4.77.

* Tue Mar 13 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Fixed typo in install section.

* Wed Mar 7 2001 Bob Frey <bfrey@turbolinux.com.cn>
- Change font selection in Korean resource file.

* Mon Feb 26 2001 Simon Zhang  <simonz@turbolinux.com.cn>
- Fixed  netscape-4.76-zh_CN.gb.ad and  netscape-4.76-zh_TW.big5.ad files.

* Tue Feb 13 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added korean resource file.

* Tue Nov 28 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- font.properties.zh is added.
- fixed zh_TW.Big5

* Sat Nov 25 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.76.
- Modified netscape-ja.cfg
- Added Chinese locales.

* Tue Jul 25 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.74.
- added netscape-communicator.wmconfig

* Tue May 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Describe package dependences. (libstdc++-compat, alias-japanese-fonts)

* Fri Mar 17 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added Japanese bookmark

* Tue Mar 14 2000 Go Taniguchi <go@turbolinux.co.jp>
- first release for TurboLinuxJ

%prep
%setup -q -n communicator-v%{myver}.x86-unknown-linux2.2
#cp %{SOURCE30} ./

%build
#gcc -o nscfgconv nscfgconv.c
#./nscfgconv < %{SOURCE20} > netscape-ja.cfg

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/plugins
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/java/classes
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/ja
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/zh_CN.GBK
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/zh_TW.Big5
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/communicator/ko

for I in *.nif; do
	tar -xzf $I -C $RPM_BUILD_ROOT/usr/lib/netscape/communicator
done
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape/communicator
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/communicator/java/classes
echo 'Communicator,%{bldver},/usr/lib/netscape/communicator' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/communicator/registry /tmp/infile
rm -f /tmp/infile

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/communicator/{LICENSE,README} .
mkdir -p $RPM_BUILD_ROOT/usr/bin

ln -sf netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

# Each language resource
install -m644 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/ja/Netscape.ad
install -m644 %{SOURCE11} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/zh_CN.GBK/Netscape.ad
install -m644 %{SOURCE12} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/zh_TW.Big5/Netscape.ad
install -m644 %{SOURCE13} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/ko/Netscape.ad


# Japanese Help
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults
install -m644 %{SOURCE20} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg
install -m644 %{SOURCE21} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults/netscape.cfg

# Java font properties
cp -f %{SOURCE30} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/java/classes/font.properties.ja
cp -f %{SOURCE31} $RPM_BUILD_ROOT/usr/lib/netscape/communicator/java/classes/font.properties.zh

# wmconfig
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/netscape-communicator

#
# remove flash plug-in
#

rm -f $RPM_BUILD_ROOT/usr/lib/netscape/communicator/plugins/*[Ff]lash*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%docdir /usr/lib/netscape/communicator/nethelp
%doc README LICENSE 
/usr/lib/netscape/communicator
/usr/bin/netscape-communicator
/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg
/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults/netscape.cfg
%config /etc/X11/wmconfig/netscape-communicator
